"{ Package: 'stx:libbasic' }"

ContextError subclass:#CannotReturnError
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Methods'
!

!CannotReturnError class methodsFor:'documentation'!

documentation
"
    Raised if a method which was compiled non-resumable is asked to return.
    As non-resumable code is faster and shorter, the compilers do not
    generate resumable code by default.
    Resumability can be enforced by a compiler switch or via a #return/#resume directive.
"
! !

!CannotReturnError class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/CannotReturnError.st,v 1.3 2003-04-24 08:25:28 cg Exp $'
! !
